## org.apache.cocoon.processor.xsp.library
Class XSPResponseLibrary

    java.lang.Object
      |
      +--org.apache.cocoon.processor.xsp.library.XSPResponseLibrary

public class XSPResponseLibrary
extends java.lang.Object

Constructor Summary
`XSPResponseLibrary()`

Method Summary
`static void` `addDateHeader(javax.servlet.http.HttpServletResponse response, java.lang.String name, java.util.Date date)`
`static void` `addDateHeader(javax.servlet.http.HttpServletResponse response, java.lang.String name, long date)`
`static void` `addDateHeader(javax.servlet.http.HttpServletResponse response, java.lang.String name, java.lang.String date)`
`static void` `addDateHeader(javax.servlet.http.HttpServletResponse response, java.lang.String name, java.lang.String date, java.text.DateFormat format)`
`static void` `addDateHeader(javax.servlet.http.HttpServletResponse response, java.lang.String name, java.lang.String date, java.lang.String format)`
`static org.w3c.dom.Element` `containsHeader(javax.servlet.http.HttpServletResponse response, java.lang.String name, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` `encodeRedirectURL(javax.servlet.http.HttpServletResponse response, java.lang.String url, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` `encodeURL(javax.servlet.http.HttpServletResponse response, java.lang.String url, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` `getCharacterEncoding(javax.servlet.http.HttpServletResponse response, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` `getLocale(javax.servlet.http.HttpServletResponse response, org.w3c.dom.Document document)`
`static void` `setDateHeader(javax.servlet.http.HttpServletResponse response, java.lang.String name, java.util.Date date)`
`static void` `setDateHeader(javax.servlet.http.HttpServletResponse response, java.lang.String name, long date)`
`static void` `setDateHeader(javax.servlet.http.HttpServletResponse response, java.lang.String name, java.lang.String date)`
`static void` `setDateHeader(javax.servlet.http.HttpServletResponse response, java.lang.String name, java.lang.String date, java.text.DateFormat format)`
`static void` `setDateHeader(javax.servlet.http.HttpServletResponse response, java.lang.String name, java.lang.String date, java.lang.String format)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSPResponseLibrary

    public XSPResponseLibrary()

Method Detail

### getCharacterEncoding

    public static org.w3c.dom.Element getCharacterEncoding(javax.servlet.http.HttpServletResponse response,
                                                           org.w3c.dom.Document document)

### getLocale

    public static org.w3c.dom.Element getLocale(javax.servlet.http.HttpServletResponse response,
                                                org.w3c.dom.Document document)

### addDateHeader

    public static void addDateHeader(javax.servlet.http.HttpServletResponse response,
                                     java.lang.String name,
                                     long date)

### addDateHeader

    public static void addDateHeader(javax.servlet.http.HttpServletResponse response,
                                     java.lang.String name,
                                     java.util.Date date)

### addDateHeader

    public static void addDateHeader(javax.servlet.http.HttpServletResponse response,
                                     java.lang.String name,
                                     java.lang.String date)
                              throws java.text.ParseException

### addDateHeader

    public static void addDateHeader(javax.servlet.http.HttpServletResponse response,
                                     java.lang.String name,
                                     java.lang.String date,
                                     java.lang.String format)
                              throws java.text.ParseException

### addDateHeader

    public static void addDateHeader(javax.servlet.http.HttpServletResponse response,
                                     java.lang.String name,
                                     java.lang.String date,
                                     java.text.DateFormat format)
                              throws java.text.ParseException

### containsHeader

    public static org.w3c.dom.Element containsHeader(javax.servlet.http.HttpServletResponse response,
                                                     java.lang.String name,
                                                     org.w3c.dom.Document document)

### encodeRedirectURL

    public static org.w3c.dom.Element encodeRedirectURL(javax.servlet.http.HttpServletResponse response,
                                                        java.lang.String url,
                                                        org.w3c.dom.Document document)

### encodeURL

    public static org.w3c.dom.Element encodeURL(javax.servlet.http.HttpServletResponse response,
                                                java.lang.String url,
                                                org.w3c.dom.Document document)

### setDateHeader

    public static void setDateHeader(javax.servlet.http.HttpServletResponse response,
                                     java.lang.String name,
                                     long date)

### setDateHeader

    public static void setDateHeader(javax.servlet.http.HttpServletResponse response,
                                     java.lang.String name,
                                     java.util.Date date)

### setDateHeader

    public static void setDateHeader(javax.servlet.http.HttpServletResponse response,
                                     java.lang.String name,
                                     java.lang.String date)
                              throws java.text.ParseException

### setDateHeader

    public static void setDateHeader(javax.servlet.http.HttpServletResponse response,
                                     java.lang.String name,
                                     java.lang.String date,
                                     java.lang.String format)
                              throws java.text.ParseException

### setDateHeader

    public static void setDateHeader(javax.servlet.http.HttpServletResponse response,
                                     java.lang.String name,
                                     java.lang.String date,
                                     java.text.DateFormat format)
                              throws java.text.ParseException

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.